%define name	cvs2svn
%define version	1.3.0
%define release	%mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Development/Other
Summary:	Convert CVS repositories to Subversion repositories
Source0:        http://cvs2svn.tigris.org/files/documents/1462/15996/%{name}-%{version}.tar.bz2
Url:		http://cvs2svn.tigris.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
# for testing 
BuildRequires:	python
BuildRequires:	subversion
BuildRequires:	cvs
BuildRequires:	rcs
Requires:	python-svn
Requires:	subversion
Requires:	cvs
Requires:	rcs 
BuildArch:	noarch 

%description
cvs2svn aims to allows you to convert a CVS repository to 
a Subversion one. This work for complete conversion, not a synchronisation
for each commit.

The software is still in beta stage, so use it to your own risk.

%prep
%setup -q

%build


# needed for testing
LANG=en_US.UTF-8
export LANG
unset LANGUAGE LC_MESSAGES
./run-tests.py

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}/
cp %name verify-cvs2svn $RPM_BUILD_ROOT/%{_bindir}/

mkdir -p $RPM_BUILD_ROOT/%{_libdir}/python%{pyver}/site-packages/
cp -r cvs2svn_rcsparse $RPM_BUILD_ROOT/%{_libdir}/python%{pyver}/site-packages/

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
cp %{name}.1 $RPM_BUILD_ROOT/%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS COMMITTERS COPYING HACKING README www/
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/python%{pyver}/site-packages/cvs2svn_rcsparse/

%changelog
* Sat Sep 24 2005 Michael Scherer <misc@mandriva.org> 1.3.0-3mdk
- fix deps

* Mon Sep 12 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.0-2mdk
- fix missing man page
- spec cleanup

* Tue Aug 23 2005 Michael Scherer <misc@mandriva.org> 1.3.0-1mdk
- New release 1.3
- mkrel
- use my python debugging superpower to find the missing BuildRequires
- fix rpmlint warning 

* Thu Feb 03 2005 Michael Scherer <misc@mandrake.org> 1.1.0-1mdk
- New release 1.1.0

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.0.0-2mdk
- Rebuild for new python

* Thu Sep 02 2004 Michael Scherer <misc@mandrake.org> 1.0.0-1mdk
- 1.0.0, no longer svn and rpmbuildupdate aware
 
* Tue Aug 17 2004 Michael Scherer <misc@mandrake.org> 0.rev1326-1mdk
- New release 0.rev1326

* Thu Jul 29 2004 Michael Scherer <misc@mandrake.org> 0.rev1173-1mdk
- New release 0.rev1173


* Sat Jun 05 2004 Michael Scherer <misc@mandrake.org> 0.rev957-2mdk 
- add python as BuildRequires ( python-base is not enough )

* Sun May 23 2004 Michael Scherer <misc@mandrake.org> 0.rev957-1mdk
- New release 0.rev957

* Wed Apr 28 2004 Michael Scherer <misc@mandrake.org> 0.rev923-1mdk
- New release 0.rev923

* Fri Apr  9 2004 Michael Scherer <misc@mandrake.org> 0.rev914-2mdk
- Update the spec file to be auto updateable with svn://

* Thu Apr 08 2004 Michael Scherer <misc@mandrake.org> 0.rev914-1mdk
- First package, based on work from David Summers <david@summersoft.fay.ar.us>
